/*****************************************************************************/
/*                     WiNRADiO G65DDC EXCALIBUR SIGMA                       */
/*                                SDK DEMO                                   */
/*                       Simple edit box for integers                        */
/*                        (c) Copyright RADIXON 2020                         */
/*****************************************************************************/

#ifndef __U_INTEDIT_H__
#define __U_INTEDIT_H__

#include "u_numericedit.h"

class TIntEdit:public TNumericEdit
{
public:
    TIntEdit(wxWindow *Parent,wxWindowID Id,int64_t Value,int64_t MinValue,int64_t MaxValue,const wxPoint &Position=wxDefaultPosition,const wxSize &Size=wxDefaultSize);
    ~TIntEdit(void);
protected:
    virtual bool Parse(const wxString &Str,int64_t *Value);
    virtual wxString Format(int64_t Value);
private:
};

#endif
