/*****************************************************************************/
/*                      WiNRADiO G65DDC EXCALIBUR SIGMA                      */
/*                          Coherent mode SDK DEMO                           */
/*                 Simple edit box for fixed point numbers                   */
/*                        (c) Copyright RADIXON 2023                         */
/*****************************************************************************/

#ifndef __U_FLOATEDIT_H__
#define __U_FLOATEDIT_H__

#include "u_numericedit.h"

class TFloatEdit:public TNumericEdit
{
public:
    TFloatEdit(wxWindow *Parent,wxWindowID Id,int64_t Value,int64_t MinValue,int64_t MaxValue,uint32_t DecNumCount=1,const wxPoint &Position=wxDefaultPosition,const wxSize &Size=wxDefaultSize);
    ~TFloatEdit(void);
protected:
    virtual bool Parse(const wxString &Str,int64_t *Value);
    virtual wxString Format(int64_t Value);
private:
    uint32_t    m_DecNumCount;
    int         m_Divider;
};

#endif
